using System;
using Medivators.BusinessObjects;

namespace Medivators.Parser
{
	/// <summary>
	/// All device parsers implement this. So far there is 
	/// only one supported device but the solution is designed
	/// to be expandable. 
	/// </summary>
	public interface IDeviceParser : IDisposable
	{
		bool Validate(byte[] Data);
		IDeviceRecord Parse(byte[] Data);
	}
}
